<?xml version='1.0' encoding='UTF-8'?>
<repository xmlns="http://www.osgi.org/xmlns/repository/v1.0.0" name="Liferay Foundation - Liferay Plugin for OAuth 2.0 - Impl" increment="1">
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.oauth2.provider.jsonws"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="1.0.43" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="1.0.43" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.oauth2.provider.jsonws"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="1.0.43" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.oauth2.provider.jsonws"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.jsonws.internal.service.access.policy.scope"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.jsonws.internal.service.access.policy.scope.SAPEntryScopeDescriptorFinderRegistrator" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.scope.spi.application.descriptor"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.scope.spi.application.descriptor.ApplicationDescriptor" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.instance.lifecycle"/>
      <attribute name="objectClass" value="com.liferay.portal.instance.lifecycle.PortalInstanceLifecycleListener" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.model"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.model.ModelListener" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.security.auth.verifier"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.security.auth.verifier.AuthVerifier" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="javax.servlet"/>
      <attribute name="objectClass" value="javax.servlet.Filter" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.oauth2.provider.jsonws"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="77665" type="Long"/>
      <attribute name="url" value="com.liferay.oauth2.provider.jsonws-1.0.43.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="95F748DC304DB6F8D0F7153741661E305CCE7EBF009E38D4FF29733D1E6BE338"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=aQute.bnd.annotation.metatype)(version&gt;=1.45.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.model)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.rest.spi.bearer.token.provider)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.liferay)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.application.descriptor)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.scope.descriptor)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.scope.finder)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.service)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.annotations)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.bnd.util)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.instance.lifecycle)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.exception)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.access.control)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth.verifier)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.service.access.policy)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service)(version&gt;=1.54.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.37.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.model)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.service)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.servlet.filters.authverifier)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet)(version&gt;=3.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.http)(version&gt;=3.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.jsonws.internal.service.access.policy.scope.SAPEntryScopeDescriptorFinderRegistrator)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.rest.spi.bearer.token.provider.BearerTokenProviderAccessor)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.liferay.ScopeLocator)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.spi.scope.finder.ScopeFinder)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
      <directive name="cardinality" value="multiple"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2ApplicationLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2ApplicationScopeAliasesLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2AuthorizationLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2ScopeGrantLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.UserLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.service.access.policy.service.SAPEntryLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.oauth2.provider.rest"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="1.0.78.hotfix-7272-7110" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="1.0.78.hotfix-7272-7110" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.oauth2.provider.rest"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="1.0.78.hotfix-7272-7110" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.oauth2.provider.rest"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.rest.internal.endpoint.liferay"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.rest.internal.endpoint.liferay.LiferayOAuthDataProvider" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.rest.internal.endpoint.liferay"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.rest.internal.endpoint.liferay.ServerAuthorizationCodeGrantProvider" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.rest.spi.bearer.token.provider"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.rest.spi.bearer.token.provider.BearerTokenProvider" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.rest.spi.bearer.token.provider"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.rest.spi.bearer.token.provider.BearerTokenProviderAccessor" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.security.auth.verifier"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.security.auth.verifier.AuthVerifier" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.settings.definition"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.settings.definition.ConfigurationBeanDeclaration" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="javax.ws.rs.container"/>
      <attribute name="objectClass" value="javax.ws.rs.container.ContainerRequestFilter" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="javax.ws.rs.container"/>
      <attribute name="objectClass" value="javax.ws.rs.container.ContainerResponseFilter" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="javax.ws.rs.core"/>
      <attribute name="objectClass" value="javax.ws.rs.core.Application" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="javax.ws.rs.core"/>
      <attribute name="objectClass" value="javax.ws.rs.core.Feature" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="javax.ws.rs.ext"/>
      <attribute name="objectClass" value="javax.ws.rs.ext.ExceptionMapper" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="javax.ws.rs.ext,javax.ws.rs.ext"/>
      <attribute name="objectClass" value="javax.ws.rs.ext.MessageBodyReader,javax.ws.rs.ext.MessageBodyWriter" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="javax.ws.rs.ext"/>
      <attribute name="objectClass" value="javax.ws.rs.ext.MessageBodyWriter" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="org.apache.cxf.rs.security.oauth2.grants.owner"/>
      <attribute name="objectClass" value="org.apache.cxf.rs.security.oauth2.grants.owner.ResourceOwnerLoginHandler" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="org.apache.cxf.rs.security.oauth2.provider"/>
      <attribute name="objectClass" value="org.apache.cxf.rs.security.oauth2.provider.AccessTokenGrantHandler" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="org.apache.cxf.rs.security.oauth2.provider"/>
      <attribute name="objectClass" value="org.apache.cxf.rs.security.oauth2.provider.SubjectCreator" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.oauth2.provider.rest"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="936064" type="Long"/>
      <attribute name="url" value="com.liferay.oauth2.provider.rest-1.0.78.hotfix-7272-7110.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="5A0686DF4F99F5773AE92129583DFF32EBD84241B31D86831F334EC76EE9E550"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=aQute.bnd.annotation.metatype)(version&gt;=1.45.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.configuration)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.constants)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.model)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.rest.spi.bearer.token.provider)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.rest.spi.scope.checker.container.request.filter)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.liferay)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.scope.finder)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.service)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.util)(version&gt;=2.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.reflect)(version&gt;=1.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.annotations)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.bnd.util)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.instance.lifecycle)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.cache)(version&gt;=7.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.cluster)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.concurrent)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.exception)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.io)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.module.configuration)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security)(version&gt;=6.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth.verifier)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.permission)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.permission.resource)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service)(version&gt;=1.54.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet)(version&gt;=7.15.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.settings)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.settings.definition)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.transaction)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.37.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.model)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.service)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.activation))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.crypto))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.crypto.spec))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.json))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.persistence))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.persistence.metamodel))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.security.auth))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.security.auth.callback))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.security.auth.x500))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet)(version&gt;=3.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.http)(version&gt;=3.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.ws.rs)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.ws.rs.client)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.ws.rs.container)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.ws.rs.core)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.ws.rs.ext)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.bind))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.bind.annotation))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.bind.annotation.adapters))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.namespace))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.stream))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.attachment)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.common.classloader)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.common.jaxb)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.common.logging)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.common.security)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.common.util)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.configuration.security)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.endpoint)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.helpers)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.interceptor)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.interceptor.security)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.io)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs.ext)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs.ext.multipart)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs.impl)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs.json.basic)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs.model)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs.provider)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs.utils)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs.utils.multipart)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.message)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.phase)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.resource)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.security)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.security.claims.authorization)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.security.transport)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.service.model)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.staxutils)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.staxutils.transform)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.transport.http.auth))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.dom4j))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.dom4j.io))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.w3c.dom))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.rest.internal.endpoint.liferay.LiferayOAuthDataProvider)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.rest.internal.endpoint.liferay.ServerAuthorizationCodeGrantProvider)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.rest.spi.bearer.token.provider.BearerTokenProvider)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.rest.spi.bearer.token.provider.BearerTokenProviderAccessor)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.ScopeChecker)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.liferay.ScopeContext)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.liferay.ScopeLocator)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.liferay.ScopedServiceTrackerMapFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2ApplicationLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2ApplicationScopeAliasesLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2AuthorizationLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2ScopeGrantLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.cache.MultiVMPool)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.cluster.ClusterMasterExecutor)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.module.configuration.ConfigurationProvider)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.security.permission.PermissionCheckerFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.security.permission.resource.ModelResourcePermission)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.CompanyLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.UserLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Http)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Portal)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Props)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.service.access.policy.service.SAPEntryLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=org.apache.cxf.rs.security.oauth2.grants.owner.ResourceOwnerLoginHandler)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=org.apache.cxf.rs.security.oauth2.provider.AccessTokenGrantHandler)"/>
      <directive name="effective" value="active"/>
      <directive name="cardinality" value="multiple"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=org.apache.cxf.rs.security.oauth2.provider.SubjectCreator)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.oauth2.provider.scope.impl"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="1.0.68.hotfix-7272-7110" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="1.0.68.hotfix-7272-7110" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.oauth2.provider.scope.impl"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="1.0.68.hotfix-7272-7110" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.oauth2.provider.scope.impl"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.scope,com.liferay.oauth2.provider.scope.liferay"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.scope.ScopeChecker,com.liferay.oauth2.provider.scope.liferay.ScopeContext" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.scope.internal.osgi.commands"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.scope.internal.osgi.commands.OAuth2OSGiCommands" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.scope.liferay"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.scope.liferay.ApplicationDescriptorLocator" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.scope.liferay"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.scope.liferay.ScopeDescriptorLocator" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.scope.liferay"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.scope.liferay.ScopeLocator" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.scope.liferay"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.scope.liferay.ScopedServiceTrackerMapFactory" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.scope.spi.prefix.handler"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.scope.spi.prefix.handler.PrefixHandlerFactory" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.scope.spi.scope.descriptor"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.scope.spi.scope.descriptor.ScopeDescriptor" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.scope.spi.scope.mapper"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.scope.spi.scope.mapper.ScopeMapper" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.scope.spi.scope.matcher"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.scope.spi.scope.matcher.ScopeMatcherFactory" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="javax.ws.rs.core"/>
      <attribute name="objectClass" value="javax.ws.rs.core.Feature" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.oauth2.provider.scope.impl"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="110004" type="Long"/>
      <attribute name="url" value="com.liferay.oauth2.provider.scope.impl-1.0.68.hotfix-7272-7110.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="854946859D2B5CB3040D0A9796D69C96005633E3B71C3F9A25D5C6CF19ADD0EE"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=aQute.bnd.annotation.metatype)(version&gt;=1.45.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.model)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.liferay)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.application.descriptor)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.prefix.handler)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.scope.descriptor)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.scope.finder)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.scope.mapper)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.scope.matcher)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.service)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.service.tracker.collections)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.service.tracker.collections.map)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.util)(version&gt;=2.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.annotations)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.bnd.util)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.access.control)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth.verifier)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.service.access.policy)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.37.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.http)(version&gt;=3.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.ws.rs.container)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.ws.rs.core)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.ws.rs.ext)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.service.component)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.util.tracker)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.liferay.ScopeContext)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.liferay.ScopeLocator)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.liferay.ScopedServiceTrackerMapFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.spi.application.descriptor.ApplicationDescriptor)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.spi.prefix.handler.PrefixHandlerFactory)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.spi.scope.descriptor.ScopeDescriptor)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.spi.scope.mapper.ScopeMapper)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.spi.scope.matcher.ScopeMatcherFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2ScopeGrantLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Portal)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.ResourceBundleLoader)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.oauth2.provider.service"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="1.0.58" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="1.0.58" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.oauth2.provider.service"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="1.0.58" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.oauth2.provider.service"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.security.permission.resource"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.security.permission.resource.ModelResourcePermission" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.security.permission.resource"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.security.permission.resource.PortletResourcePermission" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.upgrade.registry"/>
      <attribute name="objectClass" value="com.liferay.portal.upgrade.registry.UpgradeStepRegistrator" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <attribute name="objectClass" value="com.liferay.oauth2.provider.service.OAuth2ApplicationLocalService" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <attribute name="objectClass" value="com.liferay.oauth2.provider.service.OAuth2ApplicationScopeAliasesLocalService" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <attribute name="objectClass" value="com.liferay.oauth2.provider.service.OAuth2ApplicationService" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <attribute name="objectClass" value="com.liferay.oauth2.provider.service.OAuth2AuthorizationLocalService" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <attribute name="objectClass" value="com.liferay.oauth2.provider.service.OAuth2AuthorizationService" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <attribute name="objectClass" value="com.liferay.oauth2.provider.service.OAuth2ScopeGrantLocalService" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="282879" type="Long"/>
      <attribute name="url" value="com.liferay.oauth2.provider.service-1.0.58.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="9716EB4DD714AFFAA91F84B8680189944FD7D818FEB1D91D4BAA3B334EAA92B1"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.counter.kernel.service)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.document.library.kernel.model)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.document.library.kernel.store)(version&gt;=1.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.expando.kernel.model)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.expando.kernel.util)(version&gt;=1.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.constants)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.exception)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.model)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.liferay)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.service)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.service.persistence)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.dao.orm.custom.sql)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.bean)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.configuration)(version&gt;=6.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.dao.db)(version&gt;=7.7.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.dao.jdbc)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.dao.orm)(version&gt;=7.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.exception)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.image)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.io.unsync)(version&gt;=6.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.json)(version&gt;=7.11.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.jsonwebservice)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model.impl)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.module.framework.service)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.portletfilerepository)(version&gt;=1.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.repository)(version&gt;=7.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.repository.model)(version&gt;=7.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.search)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.permission)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.permission.resource)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service)(version&gt;=1.53.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service.http)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service.persistence)(version&gt;=1.29.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service.persistence.impl)(version&gt;=1.6.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.transaction)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.upgrade)(version&gt;=7.9.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.34.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.spring.extender.service)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.upgrade.registry)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.sql))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2ApplicationLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.security.permission.resource.PortletResourcePermission)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="liferay.extender">
      <directive name="filter" value="(&amp;(liferay.extender=spring.extender)(version&gt;=3.0)(!(version&gt;=4.0)))"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.oauth2.provider.shortcut"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="1.0.21" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="1.0.21" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.oauth2.provider.shortcut"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="1.0.21" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.oauth2.provider.shortcut"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.oauth2.provider.scope.spi.application.descriptor,com.liferay.oauth2.provider.scope.spi.prefix.handler,com.liferay.oauth2.provider.scope.spi.scope.finder,com.liferay.oauth2.provider.scope.spi.scope.mapper,com.liferay.portal.instance.lifecycle"/>
      <attribute name="objectClass" value="com.liferay.oauth2.provider.scope.spi.application.descriptor.ApplicationDescriptor,com.liferay.oauth2.provider.scope.spi.prefix.handler.PrefixHandlerFactory,com.liferay.oauth2.provider.scope.spi.scope.finder.ScopeFinder,com.liferay.oauth2.provider.scope.spi.scope.mapper.ScopeMapper,com.liferay.portal.instance.lifecycle.PortalInstanceLifecycleListener" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.oauth2.provider.shortcut"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="29898" type="Long"/>
      <attribute name="url" value="com.liferay.oauth2.provider.shortcut-1.0.21.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="CDE9C1A1D9B53F76EF31A37FC0AFA7C56A8E87D09450FAE83850DA62F75309D3"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.document.library.kernel.model)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.constants)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.model)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.application.descriptor)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.prefix.handler)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.scope.finder)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.scope.mapper)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.service)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(version&gt;=1.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.instance.lifecycle)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.dao.orm)(version&gt;=7.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.exception)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.io)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.search)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security)(version&gt;=6.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service)(version&gt;=1.53.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.34.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.language))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.model)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.security.service.access.policy.service)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2ApplicationLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.search.Indexer)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.UserLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Portal)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.security.service.access.policy.service.SAPEntryLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.oauth2.provider.web"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="1.0.91" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="1.0.91" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.oauth2.provider.web"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="1.0.91" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.oauth2.provider.web"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="resource.bundle.aggregate" value="(bundle.symbolic.name=com.liferay.oauth2.provider.api),(bundle.symbolic.name=com.liferay.oauth2.provider.rest),(bundle.symbolic.name=com.liferay.oauth2.provider.web)"/>
      <attribute name="service.ranking" value="1"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.application.list"/>
      <attribute name="objectClass" value="com.liferay.application.list.PanelApp" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.portlet.bridges.mvc"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.portlet.bridges.mvc.MVCActionCommand" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.portlet.bridges.mvc"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.portlet.bridges.mvc.MVCRenderCommand" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.portlet.bridges.mvc"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.portlet.bridges.mvc.MVCResourceCommand" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="javax.portlet"/>
      <attribute name="objectClass" value="javax.portlet.Portlet" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.oauth2.provider.web"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="534130" type="Long"/>
      <attribute name="url" value="com.liferay.oauth2.provider.web-1.0.91.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="6623B00DFED1C7812DF8B6323C91684C8BB39737771E44388692662A552456A8"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.application.list)(version&gt;=1.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.document.library.kernel.service)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.document.library.kernel.util)(version&gt;=1.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.expando.kernel.model)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.frontend.taglib.clay.servlet.taglib.util)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.configuration)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.constants)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.exception)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.model)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.liferay)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.application.descriptor)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.scope.spi.scope.descriptor)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.oauth2.provider.service)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.bnd.util)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.annotation)(version&gt;=6.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.dao.orm)(version&gt;=7.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.dao.search)(version&gt;=7.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.exception)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.io)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.language)(version&gt;=7.6.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.portlet)(version&gt;=8.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.portlet.bridges.mvc)(version&gt;=1.6.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.repository.model)(version&gt;=7.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.resiliency.spi.agent.annotation)(version&gt;=6.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security)(version&gt;=6.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.permission)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service)(version&gt;=1.54.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service.permission)(version&gt;=1.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet)(version&gt;=7.15.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet.taglib.ui)(version&gt;=6.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.theme)(version&gt;=1.7.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.upload)(version&gt;=6.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.37.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.portlet))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.portlet.annotations))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet)(version&gt;=3.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.http)(version&gt;=3.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.jsp))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://java.sun.com/portlet_2_0))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/clay))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/frontend))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/portlet))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/security))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/theme))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ui))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/util))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.document.library.kernel.service.DLAppService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.liferay.ApplicationDescriptorLocator)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.liferay.ScopeDescriptorLocator)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.scope.liferay.ScopeLocator)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2ApplicationScopeAliasesLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2ApplicationService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2AuthorizationService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.oauth2.provider.service.OAuth2ScopeGrantLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.model.Portlet)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.GroupLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Portal)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.contract">
      <directive name="filter" value="(&amp;(osgi.contract=JavaPortlet)(version=3.0.0))"/>
      <attribute name="osgi.contract" value="JavaPortlet"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
</repository>
